Subject: Antique Display Case. U shaped.

From: [email-masked]
Date: Sat, 13 Apr 1996 06:59:54 GMT

Stunning  Antique Display Case.  U shaped. Rounded glass front 7 1/2 '
wide with glass arms extending to total length of 10'. Polished dark
wood base.  Showpiece for merchandise. Will make perfect enter island,
accessory area, or check out counter for shop, showroom, or antique
show.  Reduced to $1,495. Write [email-masked]